import type { SetupContext, Ref } from 'vue';
import type { LineSide, CodeReviewProps } from '../code-review-types';
export declare function useCodeReviewComment(reviewContentRef: Ref<HTMLElement>, props: CodeReviewProps, ctx: SetupContext): {
    commentLeft: Ref<number>;
    commentTop: Ref<number>;
    mouseEvent: Record<string, (e: MouseEvent) => void>;
    clearCheckedLines: () => void;
    onCommentMouseLeave: (e: MouseEvent) => void;
    onCommentIconClick: (e: Event) => void;
    insertComment: (lineNumber: number, lineSide: LineSide, commentDom: HTMLElement) => void;
    removeComment: (lineNumber: number, lineSide: LineSide) => void;
    updateLineNumberMap: (expandLineNumberInfo: import("../code-review-types").IExpandLineNumberInfo, newCode: string, direction: "up" | "down") => void;
    updateCheckedLine: (expandLineNumberInfo: import("../code-review-types").IExpandLineNumberInfo, direction: "up" | "down") => void;
};
