import type { Ref } from 'vue';
import type { CodeReviewProps, ICheckedLineDetails, IExpandLineNumberInfo } from '../code-review-types';
export declare function useCodeReviewLineSelection(reviewContentRef: Ref<HTMLElement>, props: CodeReviewProps, afterMouseup: (details: ICheckedLineDetails) => void): {
    onMousedown: (e: MouseEvent) => void;
    updateLineNumberMap: (expandLineNumberInfo: IExpandLineNumberInfo, newCode: string, direction: 'down' | 'up') => void;
    getCheckedLineDetails: () => {
        lefts: number[];
        rights: number[];
        codes: {
            leftCode: string[];
            rightCode: string[];
        };
    } | {
        lefts: number[];
        rights: number[];
        codes: string[];
    } | undefined;
    clearCommentClass: () => void;
    updateCheckedLine: (expandLineNumberInfo: IExpandLineNumberInfo, direction: 'down' | 'up') => void;
};
